ranges::views::for_each_fn Struct Reference
Inheritance diagram for ranges::views::for_each_fn:

## Public Member Functions

template<typename Fun >
constexpr auto | operator() (Fun fun) const
Public Member Functions inherited from ranges::views::for_each_base_fn
template<typename Rng , typename Fun >
CPP_TEMPLATE_AUX_0 | c (requires viewable_range< Rng > &&transformable_range< Rng, Fun > &&joinable_range< transform_view< all_t< Rng >, Fun >>) ccconstexpr auto operator()(Rng &&rng

## Related Functions

(Note that these are not member functions.)
constexpr for_each_fn | for_each {}

## Additional Inherited Members

Public Attributes inherited from ranges::views::for_each_base_fn
CPP_TEMPLATE_AUX_0 Fun fun | const